function getElementEM(element) {
    let em = parseFloat(getComputedStyle(element).fontSize);
    return em;
}

function adjustButtonSize(buttonEm, br1, br2) {
    //Default button-size
    let defaultSize = "20em";
    let newSize;
    if (window.innerWidth >= br1 * buttonEm && window.innerWidth < br2 * buttonEm) {
        newSize = "25em";
    } else if (window.innerWidth > br2 * buttonEm) {
        newSize = "30em";
    } else {
        newSize = defaultSize;
    }
    return newSize;
}

function adjustButtonsGrid() {
    document.querySelectorAll('.image-nav-button-container').forEach(container => {
        const buttons = container.querySelectorAll('.image-nav-button ').length;
        let columns;
        let buttonEm = getElementEM(container.querySelectorAll('.image-nav-button ')[0]);
        let br1 = 95;
        let br2 = 140;

        // Determine maximum columns based on screen width
        if (window.innerWidth < 45 * buttonEm) {
            columns = 1;
        } else if (window.innerWidth < br1 * buttonEm) {
            columns = 2;
        } else if (window.innerWidth < br2 * buttonEm) {
            columns = 3;
        } else {
            columns = 4;
        }

        // Adjust columns to evenly divide total buttons
        while (buttons % columns !== 0 && columns > 1) {
            columns--;
        }

        container.style.setProperty('--columns', columns);

        let buttonSize = adjustButtonSize(buttonEm, br1, br2);
        container.style.setProperty('--buttonSize', buttonSize);

    });
}

// Run on initial load and on window resize
window.addEventListener('load', adjustButtonsGrid);
window.addEventListener('resize', adjustButtonsGrid);